<?php
/**
* Single Post Options.
*
* @package Dolpa
*/

$dolpa_default = dolpa_get_default_theme_options();

$wp_customize->add_section( 'single_post_setting',
	array(
	'title'      => esc_html__( 'Single Post Settings', 'dolpa' ),
	'priority'   => 35,
	'capability' => 'edit_theme_options',
	'panel'      => 'theme_option_panel',
	)
);

$wp_customize->add_setting('dolpa_related_post',
    array(
        'default' => $dolpa_default['dolpa_related_post'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'dolpa_sanitize_checkbox',
    )
);
$wp_customize->add_control('dolpa_related_post',
    array(
        'label' => esc_html__('Enable Related Posts', 'dolpa'),
        'section' => 'single_post_setting',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting( 'dolpa_related_section_title',
    array(
    'default'           => $dolpa_default['dolpa_related_section_title'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'dolpa_related_section_title',
    array(
    'label'    => esc_html__( 'Related Posts Section Title', 'dolpa' ),
    'section'  => 'single_post_setting',
    'type'     => 'text',
    )
);

$wp_customize->add_setting('theme_navigation_type',
    array(
        'default' => $dolpa_default['theme_navigation_type'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'dolpa_sanitize_single_pagination_layout',
    )
);
$wp_customize->add_control('theme_navigation_type',
    array(
        'label' => esc_html__('Single Post Navigation Type', 'dolpa'),
        'section' => 'single_post_setting',
        'type' => 'select',
        'choices' => array(
                'no-navigation' => esc_html__('Disable Navigation','dolpa' ),
                'normal-navigation' => esc_html__('Next Previous Navigation','dolpa' ),
                'ajax-next-post-load' => esc_html__('Ajax Load Next 3 Posts Contents','dolpa' )
            ),
    )
);

$wp_customize->add_setting(
    'dolpa_single_post_layout',
    array(
        'default'           => $dolpa_default['dolpa_single_post_layout'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'dolpa_sanitize_single_post_layout'
    )
);
$wp_customize->add_control(
    new Dolpa_Custom_Radio_Image_Control( 
        $wp_customize,
        'dolpa_single_post_layout',
        array(
            'settings'      => 'dolpa_single_post_layout',
            'section'       => 'single_post_setting',
            'label'         => esc_html__( 'Glabal Single Post Layout', 'dolpa' ),
            'choices'       => array(
                'layout-1'  => get_template_directory_uri() . '/assets/images/Layout-style-1.png',
                'layout-2'  => get_template_directory_uri() . '/assets/images/Layout-style-2.png',
            )
        )
    )
);

$wp_customize->add_setting('dolpa_header_overlay',
    array(
        'default' => $dolpa_default['dolpa_header_overlay'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'dolpa_sanitize_checkbox',
    )
);
$wp_customize->add_control('dolpa_header_overlay',
    array(
        'label' => esc_html__('Enable Header Overlay', 'dolpa'),
        'section' => 'single_post_setting',
        'type' => 'checkbox',
        'active_callback' => 'dolpa_overlay_layout_ac',
    )
);