<?php
/**
 * Search Template for search form
 *
 * @package WordPress
 * @subpackage Dolpa
 * @since 1.0.0
 */

$dolpa_default = dolpa_get_default_theme_options();
$dolpa_header_layout = get_theme_mod( 'dolpa_header_layout', $dolpa_default['dolpa_header_layout'] );

if( $dolpa_header_layout == 'layout-default' ){ ?>

	<form role="search" method="get" class="search-form-default" action="<?php echo esc_url( home_url( '/' ) ); ?>">

		<label>
			<input type="search" class="search-field-default" placeholder="<?php esc_attr_e('Search …','dolpa'); ?>" value="<?php echo esc_attr( get_search_query() ) ?>" name="s">

			<?php dolpa_the_theme_svg('search' ); ?>

		</label>

	</form>

<?php
}else{ ?>

	<form role="search" method="get" class="search-form" action="<?php echo esc_url( home_url( '/' ) ); ?>">
		<label>
			<span class="screen-reader-text"><?php esc_html_e('Search for:','dolpa'); ?></span>
			<input type="search" class="search-field" placeholder="<?php esc_attr_e('Search …','dolpa'); ?>" value="<?php echo esc_attr( get_search_query() ) ?>" name="s">
		</label>
		<input type="submit" class="search-submit" value="<?php esc_attr_e('Search','dolpa'); ?>">
	</form>

<?php
}
